using System;
using System.Collections.Generic;
using System.Text;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            char c1, c2;
            int a1, a2;
            string slova = Console.ReadLine();
            c1 = slova[0];
            c2 = slova[1];
            string brojevi = Console.ReadLine();
            string[] brojevi1 = brojevi.Split();
            a1 = int.Parse(brojevi1[0]);
            a2 = int.Parse(brojevi1[1]);
            if (c1 != c2 && a1 < 50000 && a2 < 50000)
            {
                switch (a1 - a2)
                {
                    case 0:
                        for (int i = 0; i < a1; i++)
                        {
                            Console.Write(c1);
                            Console.Write(c2);
                        }
                        break;
                    case 1:
                        for (int i = 0; i < a1; i++)
                        {
                            Console.Write(c1);
                            Console.Write(c2);
                        }
                        Console.Write("\b \b");
                        break;
                    case -1:
                        for (int i = 0; i < a2; i++)
                        {
                            Console.Write(c2);
                            Console.Write(c1);
                        }
                        Console.Write("\b \b");
                        break;
                    default:
                        Console.Write("nemoguce");
                        break;
                }
            }
            else 
            {
                Console.Write("nemoguce");
            }
        }
    }
}